aboutsummaryrefslogtreecommitdiff
path: root/test_write.sh
diff options
context:
space:
mode:
authorAlex Auvolat <alex@adnab.me>2020-04-22 16:51:52 +0000
committerAlex Auvolat <alex@adnab.me>2020-04-22 16:51:52 +0000
commite8214cb1807d3145907c7ed9e077fa45ada4aeea (patch)
tree00192416f1c2d2157988a1c07df4601475a30a73 /test_write.sh
parentc0335ac6904598b9ac367e17651da477d4d970d7 (diff)
downloadgarage-e8214cb1807d3145907c7ed9e077fa45ada4aeea.tar.gz
garage-e8214cb1807d3145907c7ed9e077fa45ada4aeea.zip
Better concurrency:
Use Notify instead of stupid sleep in background worker Use Semaphore to limit concurrent requests in rpc_client Make more background tasks cancellable
Diffstat (limited to 'test_write.sh')
-rwxr-xr-xtest_write.sh5
1 files changed, 2 insertions, 3 deletions
diff --git a/test_write.sh b/test_write.sh
index 2c06594d..12a3cb50 100755
--- a/test_write.sh
+++ b/test_write.sh
@@ -1,8 +1,7 @@
#!/bin/bash
for FILE in $(find target/debug/deps); do
- echo
- echo $FILE
- curl -v localhost:3900/$FILE -X PUT -H 'Host: garage' -H 'Content-Type: application/blob' --data-binary "@$FILE"
+ echo -n "$FILE "
+ curl localhost:3900/$FILE -X PUT -H 'Host: garage' -H 'Content-Type: application/blob' --data-binary "@$FILE" || echo "ERROR"
done